3.0.0 - 2011-07-06 - Chris Jean
	Big feature release
	
	New template structure that supports future projects
	Added Header Module
	Added Header Widget
	Improved all editors
	Expanded Extension functionality
	Added automatic height option to Image Module
	All modules now support names
	Layout Editor now supports performing actions on a batch of Layouts
	Added help panels and help tooltips throughout
	Modified default design
	New Extensions
	New Layouts
	Added Plugin Features support for Gravity Forms
	
	Added:
		extensions/image-grid/
		extensions/magazine/ (new version)
		extensions/old-extensions.zip
		extensions/portfolio/
		extensions/post-teasers-left/
		extensions/post-teasers-right/
		extensions/readme.txt
		extensions/slider/
		legacy_templates/
		lib/extensions/
		lib/loop-standard/
		lib/plugin-features/
		lib/special-utilities/
		plugin-features/
	
	Modified:
		archive.php
		attachment.php
		comments.php
		css/reset.css
		css/structure.css
		functions.php
		header.php
		history.txt
		image.php
		images/favicon.ico
		index.php
		lib/billboard/
		lib/builder-core/
		lib/classes
		lib/import-export/settings-tab.php
		lib/layout-engine/
		lib/theme-settings/
		lib/tutorials/
		lib/widgets/
		not_found.php
		page_blog.php
		page.php
		page_search.php
		page_sitemap.php
		search.php
		single.php
		style.css
	
	Deleted:
		css/lte-ie7.css
		css/lt-ie7.css
		default-layouts.php
		extensions/blog/
		extensions/blue-background/
		extensions/magazine/ (old version)
		images/arrow.gif
		images/bg.jpg
		images/body-bg.gif
		images/comments.png
		images/folder.png
		images/menu-active-bg.gif
		images/menu-bg.gif
		images/nav_bg_hover.jpg
		images/nav_bg.png
		images/widget_bg_corner.jpg
		images/widget_bg.jpg
3.0.1 - 2011-07-12 - Chris Jean
	Fixed an issue where some users reported that the default Layouts weren't
		being added to their site on installation. The issue was caused by
		some servers reading the file that stored the default Layouts
		improperly. The encoded Layouts are now stored and retrieved in a way
		that won't be affected by these server differences.
	
	Updated:
		lib/layout-engine/default-layouts.txt
		lib/layout-engine/functions.php to 1.2.1
3.0.2 - 2011-07-15 - Chris Jean
	Fixed a bug where Extensions are shown on some sites
	Fixed a function redeclaration bug for image.php
	
	Updated:
		image.php
			Removed the builder_get_attachment_image function and the line
				that calls it
		legacy_templates/image.php
			Removed the builder_get_attachment_image function and the line
				that calls it
		lib/extensions/class-builder-extensions.php to version 2.1.6
3.1.0 - 2011-08-04 - Chris Jean
	Added Favicon features
	Added RTL language support
	Added the widget-section-wrapper div and class to 2 Left and 2 Right sidebars
	Added Plugin Features support for the Shopp e-commerce plugin (plugin-features/shopp)
	Fixed category view bugs with the Image Grid and Slider Extensions
	Fixed preview images for the Footer and Image Modules
	Fixed an issue where not all page elements were https on SSL-enabled sites
	
	Added:
		favicons/
		rtl.css
	Renamed:
		legacy_templates to legacy-templates
	Updated:
		extensions/image-grid/functions.php
		extensions/slider/functions.php
		lib/builder-core/functions.php to 1.3.0
		lib/builder-core/init.php to 1.3.0
		lib/layout-engine/layout-engine.php to 3.4.1
		lib/layout-engine/modules/class.module.php to 3.4.0
		lib/plugin-features/init.php to 1.1.0
		lib/theme-settings/class.settings-tab.php to 1.1.0
		lib/theme-settings/css/editor.css
		lib/theme-settings/defaults.php to 1.2.0
		lib/theme-settings/tab-basic.php to 1.1.0
3.1.1 - 2011-08-04 - Chris Jean
	Fixed minor bug where settings boxes can't collapse until a Favicon has been uploaded
	
	Updated:
		lib/theme-settings/js/basic.js
3.1.2 - 2011-08-15
	Updated lib/billboard to version 1.2.36
3.1.3 - 2011-08-23
	Updated lib/classes to version 1.10.1
3.1.4 - 2011-08-23 - Chris Jean
	Fixed nested blockquote font size increase
	Added defenses against poorly-coded plugins messing up the pop-up box for editing Module details
	
	Updated:
		lib/extensions/class-builder-extensions.php to 2.1.7
		lib/layout-engine/editor.php to 2.3.1
		style.css
3.1.5 - 2011-09-16
	Updated lib/billboard to version 1.2.37
3.1.6 - 2011-09-22
	Updated lib/billboard to version 1.2.38
3.1.7 - 2011-09-22
	Updated lib/billboard to version 1.2.39
3.1.8 - 2011-09-28
	Updated lib/feedburner-widget to version 1.0.5
3.1.9 - 2011-10-05
	Updated lib/billboard to version 1.2.40
3.1.10 - 2011-10-05
	Updated lib/billboard to version 1.2.41
3.1.11 - 2011-10-05
	Updated lib/billboard to version 1.2.42
3.1.12 - 2011-10-05
	Updated lib/billboard to version 1.2.43
3.1.13 - 2011-10-06
	Updated lib/classes to version 1.11.0
3.2.0 - 2011-10-06 - Chris Jean
	Big efficiency update. CPU and memory usage reduced by 20% and 36%, respectively.
	Added Pods support via Plugin Features
	Added a new theme support: builder-admin-bar
	Added BUILDER_DISABLE_HTML_MODULE_PHP define support. If it is true, eval
		in the Content Module is disabled.
	Extensions updated to support localization
	Removed Billboard (available as a standalone plugin)
	Removed FeedBurner Widget (available as a standalone plugin)
	Fixed a bug where an import with an invalid attachment would cause import failure
	Fixed bug in page_blog.php that prevented More links from working
	
	Added:
		lib/import-export/admin-init.php
		plugin-features/pods/
	Removed:
		lib/billboard
		lib/feedburner-widget
		lib/shortcodes (never used)
	Updated:
		extensions/
		functions.php
			Added theme support for builder-admin-bar
		lib/builder-core/functions.php to 1.4.0
		lib/builder-core/init.php to 1.4.0
		lib/import-export/class.builder-import-export.php to 1.0.1
		lib/import-export/init.php to 1.0.0
		lib/layout-engine/
		lib/plugin-features/init.php to 1.2.0
		lib/theme-settings/
		lib/tutorials/tutorials.php
		lib/widgets/
		page_blog.php
3.2.1 - 2011-10-09 - Chris Jean
	Added edit link in Widget Content output
	Removed warnings that display on some server setups
	
	Updated:
		lib/widgets/widget-content/widget.php
		lib/layout-engine/
		lib/theme-settings/
3.2.2 - 2011-10-10 - Chris Jean
	Updated the reset.css file to have a vertical-align:top on th and td tags.
		This addresses an issue with some table setups.
	
	Updated:
		css/reset.css
3.2.3 - 2011-10-26
	Updated lib/classes to version 1.12.0
3.3.0 - 2011-10-26 - Chris Jean
	Fix issue with Builder being compatible with BuddyPress 1.5
	Enable Views for custom taxonomies
	Add support for WordPress 3.3 help system
	Add theme feature setting for disabling Builder's header flush
	Moved the Builder admin bar link to the left of the Search box
	Removed all instances of TEMPLATEPATH and STYLESHEETPATH as 3.3 will deprecate them
	Fixed a Settings page typo for a link to the Layouts editor
	Fixed a CSS typo in the Slider Extension
	Fixed some generated links that stayed http when the site is loaded in https
	Added it_custom_taxonomy_{var}_filter_settings filter for filtering custom taxonomy settings
	
	Modified:
		extensions/slider/style.css
		functions.php
			Added theme support for builder-header-flush
		lib/admin-bar/
		lib/builder-core/
		lib/layout-engine/
		lib/plugin-features/
		lib/theme-settings/
		lib/tutorials/
		plugin-features/pods/functions.php
3.3.1 - 2011-11-10 - Chris Jean
	Readded support for the builder_add_title action for supplying custom page titles
	Added in-content title output for post type archive's
	
	Modified:
		archive.php
		lib/builder-core/
		lib/layout-engine/
3.3.2 - 2011-11-14
	Updated lib/classes to version 1.12.1
3.3.3 - 2011-12-09
	Updated lib/classes to version 1.13.0
3.4.0 - 2011-12-09 - Chris Jean
	Added settings to control the functionality of the Widget Content feature
	Added support for the traditional WordPress template format
	Added support for WordPress 3.3 help system
	Added WP eCommerce Plugin Feature (wp-ecommerce)
	Added option for GoSquared.com analytics integration
	Fixed a bug in the Slider Extension javascript
	Updated Gravity Forms' Plugin Feature styling
	Updated title generation to use the wp_title filter
	Updated [gallery] output to follow current WordPress formatting
	Updated [gallery] handling to respect the columns argument
	Added settings to control how [gallery] shortcodes render
	
	Added:
		sidebar.php
	Modified:
		extensions/slider/
		lib/builder-core/
		lib/layout-engine/
		lib/plugin-features/
		lib/theme-settings/
		lib/widgets/widget-content/
		plugin-features/gravity-forms/
3.4.1 - 2011-12-09 - Chris Jean
	Fixed problem with editing modules in the Layout Editor in WordPress 3.3
	
	Modified:
		lib/builder-core/
3.4.2 - 2011-12-09 - Chris Jean
	Fixed a bad link in the GoSquared settings text
	
	Modified:
		lib/theme-settings/
3.4.3 - 2011-12-12 - Chris Jean
	Added a fix for the legacy template rendering to ensure Layout selection
	Improved [gallery] shortcode rendering and added style tweaks for IE 6/7
	Improved the description text for the Gallery Shortcode settings
	Added better description text to the sidebar.php file
	Updated hooks for wp_print_styles to wp_enqueue_scripts
	Updated lib/classes to version 1.13.1
	
	Modified:
		extensions/image-grid/
		lib/builder-core/
		lib/classes/
		lib/extensions/
		lib/layout-engine/
		lib/theme-settings/
		sidebar.php
3.4.4 - 2011-12-13 - Chris Jean
	Added support for a cart66 Plugin Feature
	Updated plugin-features directory to include readme.txt files for each Plugin Feature
	
	Modified:
		lib/plugin-features/
		plugin-features/
3.4.5 - 2011-12-20 - Chris Jean
	Improved the way sidebars are registered and rendered
	Added builder_theme_settings_pre_settings_load action that fires just
		before the theme settings are loaded (useful for filtering defaults)
	Fixed Duplicate Sidebar widget to properly display full sidebar names
	Fixed problem with the Widget Content theme feature being disabled by
		default when it should be enabled by default
	Fixed issue in WordPress 3.3 where widgets would go to Inactive Sidebars
		area on theme switch
	
	Modified:
		lib/layout-engine/
		lib/theme-settings/
		lib/widgets/duplicate-sidebar/
		lib/widgets/widget-content/
3.4.6 - 2011-12-22 - Chris Jean
	Fixed an issue that prevented [gallery] thumbnails from linking directly
		to image files if that option is selected.
	
	Modified:
		lib/builder-core/
3.4.7 - 2012-02-21
	Updated lib/classes to version 1.13.2
3.4.8 - 2012-02-21 - Chris Jean
	Added builder-module-column-* classes.
	Added additional classes for module outer wrappers.
	Fixed inconsistent loop-footer markup in some of the template files.
	Fixed issue where closed comment settings were not being respected.
	Fixed issue where the *-module-style-outer-wrapper classes were being added twice.
	
	Modified:
		image.php
		lib/builder-core/
		lib/layout-engine/
		search.php
		single.php
3.4.9 - 2012-02-29 - Chris Jean
	Fixed filtering issue on feed titles
	
	Modified:
		lib/builder-core
3.4.10 - 2012-06-22
	Updated lib/classes to version 1.13.3
3.4.11 - 2012-07-11 - Chris Jean
	Fixed bug that prevented the Widget Content feature from being disabled
		via theme settings.
	
	Modified:
		lib/widgets/
3.4.12 - 2012-07-17
	Updated lib/classes to version 2.0.0
3.4.13 - 2012-09-24
	Updated lib/classes to version 2.1.0
3.5.0 - 2012-09-24 - Chris Jean
	Added the name of the Layout on the Widgets editor when the widgets for a
		specific Layout are being modified.
	Split date and time archive titles to allow each to have a different title.
	Replaced the use of Thickbox with a custom-built solution. This will solve
		many known and unknown plugin conflicts.
	Fixed Pods integration to avoid an issue in the Pods 2.0.0 release.
	Reordered archive.php title conditionals to increase efficiency.
	Improved View names for search results.
	Improved a comment styling selector to prevent the styling from bleeding
		out into lists that are part of the comment content.
	Improved the Widget Content widget's rendering in order to allow plugins
		that pull post-specific data to gain access to the $post variable.
	Fixed list styling issue that prevented lists with a large number of items
		from rendering the numbers properly.
	Added clearfix class to widgets to prevent issues with widgets that float
		their output.
	Moved all stylesheets to the builder_add_stylesheets actions so that they
		can be removed from the action if desired.
	Made the preview image handling in the Layout Editor more efficient.
	Made basic performance improvements to the Module system.
	Restructured code that builds the title tags.
	Removed unnecessary loop-footer div in single.php.
	Forced permissions of new favicons to 644 to avoid potential permissions
		issues.
	Fixed bugs that prevented Extensions settings for Views from working
		properly.
	Fixed a bug that caused Views that use the Active Layout to break when the
		Layout Editor listing page is loaded.
	Fixed potential causes of errors when a Module loading problem occurs.
	Fixed bug that causes inconsistent Views application with bbPress' custom
		post types.
	Fixed issue with the builder_filter_disable_theme_stylesheets filter that
		prevented it from working properly.
	
	Added:
		lib/title/
	Modified:
		archive.php
		lib/builder-core/
		lib/extensions/
		lib/layout-engine/
		lib/theme-settings/
		lib/widgets/
		plugin-features/
		single.php
		style.css
			Changed "#comments li" to "#comments li.comment"
			Changed "ul, ol" margin to "margin: 0 0 0 3em"
			Removed "ol", "#ie6 ol", and "#ie7 ol" rules
			Added "ul ul, ul ol, ol ul, ol ol" rule
3.5.1 - 2012-09-26
	Updated lib/classes to version 2.1.1
3.5.2 - 2012-09-26 - Chris Jean
	Fixed URL generation on sites that have the wp-content directory
		relocated.
	
	Modified:
		lib/tutorials/
3.5.3 - 2012-09-28
	Updated lib/classes to version 2.1.4
4.0.0 - 2012-10-18 - Chris Jean
	Added support for responsive features.
	Updated Layout system to support percentage-based column widths.
	Removed all inline styles on Layout elements.
	Styles for each Layout are now generated and stored in a cached
		stylesheet.
	Updated style.css to take advantage of the responsive feature.
	Updated style.css to highlight current Navigation page.
	Updated structure.css to allow for more options in styling and to fix
		issues with IE 6's ability to handle percentage based columns.
	Fixed a bug in the Post Teasers Right Extension that prevented the
		placeholder images from displaying.
	Fixed a bug in style.css that prevented a submenu Navigation item from
		being highlighted on hover if that item is a child of the current page.
	
	Added:
		lib/responsive/
	Modified:
		css/structure.css
		extensions/
		lib/builder-core/
		lib/layout-engine/
		lib/theme-settings/
		style.css
4.0.1 - 2012-10-18 - Chris Jean
	Added compatibility for very old child themes that don't run the
		builder_add_stylesheets action.
	
	Modified:
		lib/layout-engine/
4.0.2 - 2012-10-19 - Chris Jean
	Improved cached stylesheet regeneration. This fixes an issue where
		enabling/disabling the full-width modules feature wouldn't trigger
		stylesheet regeneration.
	Added embed and object tags to the fluid images selector.
	Created a builder-responsive theme feature option named
		enable-fluid-images. Setting this to false disables the automatic
		inclusion of fluid image styling in the generated Layout stylesheet.
	
	Modified:
		lib/builder-core/
		lib/layout-engine/
		style.css
4.0.3 - 2012-10-22 - Chris Jean
	Fixed a styling issue that caused the last column of a module to fall down
		below the previous column.
	Fixed issue where images resized in the WordPress Dashboard would render
		full width.
	Removed fluid image styling output in the style.css file as this is
		handled internally by Builder core now.
	
	Modified:
		lib/layout-engine/
		style.css
4.0.4 - 2012-10-23 - Chris Jean
	Fixed issues with making object and embed tags responsive.
	Fixed issue with plugins replacing Builder in rendering the site.
	
	Modified:
		lib/layout-engine/
		lib/responsive/
4.0.5 - 2012-10-25 - Chris Jean
	Fixed issue with child themes that use percentage widths and full-width
		modules without responsive.
	
	Modified:
		lib/layout-engine/
4.0.6 - 2012-12-03
	Updated lib/classes to version 2.1.5
4.0.7 - 2012-12-03 - Chris Jean
	Added compatibility fixes for WordPress 3.5:
		Fixed issue with Appearance > Widgets not appearing in the Dashboard menu.
		Added compatibility fix for the deprecation of the wp_load_image function.
	
	Modified:
		lib/layout-engine/
4.0.8 - 2012-12-03 - Chris Jean
	Fixed a bug where the Widgets link on the Layouts listing would not show
		if a user had widgets accessibilty mode enabled.
	
	Modified:
		lib/layout-engine/
4.0.9 - 2012-12-03 - Chris Jean
	Fixed a bug that caused an "Unused Sidebar" to appear.
	
	Modified:
		lib/layout-engine/
4.0.10 - 2012-12-06 - Chris Jean
	Bug fix to prevent a fatal error if a writable directory for the cached
		stylesheet cannot be found.
	Bug fix to prevent notices from appearing on the Appearance > Widgets
		page.
	
	Modified:
		lib/layout-engine/
4.0.11 - 2012-12-07 - Chris Jean
	Added builder-disable-stylesheet-cache theme support option that disables
		the cached stylesheet for sites that have issues with the cached
		stylesheet. To enable, simply add the following to functions.php:
			add_theme_support( 'builder-disable-stylesheet-cache' );
	Bug fix that prevents a notice if the cached stylesheet file cannot be
		saved.
	
	Modified:
		lib/builder-core/
		lib/layout-engine/
4.0.12 - 2013-01-09
	Updated lib/classes to version 2.1.6
4.0.13 - 2013-01-17 - Chris Jean
	Fixed styling issues for themes that use the legacy full-width module
		code.
	Fixed title rendering issue on static blog pages.
	Fixed issues where dialog boxes in the Layout editor were not opening and
		closing properly.
	Fixed a bug where a double separator would appear above My Theme in the
		admin menu.
	Fixed a bug where disabling builder-my-theme-menu caused the sidebars to
		disappear in Appearance > Widgets.
	Improved the resizing script that handles making videos and embeds fluid.
	Improved the generated stylesheet version number to make it more clear
		what features are supported. This is helpful for support.
	Improved tab styling on the My Theme > Settings page.
	Added automatic inclusion of builder-responsive-ready support when the
		theme has builder-responsive support.
	Removed the SEO tab in My Theme > Settings.
	
	Modified:
		lib/builder-core/
		lib/layout-engine/
		lib/responsive/
		lib/theme-settings/
		lib/title/
		lib/tutorials/
4.0.14 - 2013-01-25
	Updated lib/classes to version 2.1.7
4.0.15 - 2013-01-30 - Chris Jean
	Added a compatibility fix for Jetpack's Carousel feature.
	Fixed the following warning:
		Notice: Undefined offset: 16 in lib/tutorials/tutorials.php on line 156
	
	Modified:
		lib/builder-core/
		lib/tutorials/
4.0.16 - 2013-02-13
	Updated lib/classes to version 2.1.8
4.0.17 - 2013-02-15
	Updated lib/classes to version 2.1.9
4.1.0 - 2013-02-14 - Chris Jean
	Added settings to control Builder's gallery shortcode customizations and title generation.
	Added all-in-one-seo-pack, jetpack, and wordpress-seo to plugin features.
	Added solution to avoid conflicts with the All in One SEO Pack and WordPress SEO plugins.
	Removed the pngfix script from the Featured Image Grid & Showcase Extension as it is no longer needed.
	
	Added:
		lib/gallery-shortcode/
	Modified:
		extensions/
		functions.php
		lib/builder-core/
		lib/plugin-features/
		lib/theme-settings/
		lib/title/
		plugin-features/
4.1.1 - 2013-02-18 - Chris Jean
	Fixed bug that caused the Basic tab on Settings to appear after the "Import / Export" tab.
	
	Modified:
		lib/theme-settings/
4.1.2 - 2013-03-13 - Chris Jean
	Fixed a bug that caused warning messages and confusing settings in the Comments section of the Settings page when a plugin disables commenting on all post types.
	
	Modified:
		lib/theme-settings/
4.1.3 - 2013-04-04
	Updated lib/classes to version 2.2.0
4.1.4 - 2013-04-12 - Chris Jean
	Added alt attribute and related controls to the Image Module.
	Added builder_module_filter_column_source_order filter to control the source ordering of a Module's Blocks.
	
	Modified:
		lib/layout-engine/
4.1.5 - 2013-04-17 - Packaging Bot
	Updated lib/classes to version 2.3.0
4.2.0 - 2013-04-22 - Chris Jean
	Added builder-module-style-before-after-classes theme support.
	
	Modified:
		lib/layout-engine/
4.2.1 - 2013-06-11 - Packaging Bot
	Updated lib/classes to version 2.3.1
4.2.2 - 2013-06-25 - Chris Jean
	Added a Multisite-specific View for the Signup Page. This View will only be available on Multisite sites.
	Added a check for page output buffering. If the page is being output buffered, the flush() command will not be called.
	Added details about the active Extension, if there is one, to the Builder rendering details comment block.
	Added support for the builder_module_filter_column_source_order filter to the Widget Bar Module.
	Removed assign object creation by reference instances in order to avoid warning messages with PHP 5.4+.
	Removed assign function return values by reference instances in order to avoid warning messages with PHP 5.4+.
	
	Modified:
		lib/builder-core/
		lib/extensions/
		lib/import-export/
		lib/layout-engine/
		lib/theme-settings/
		lib/tutorials/
		lib/widgets/
4.2.3 - 2013-06-25 - Packaging Bot
	Updated lib/classes to version 2.3.2
4.2.4 - 2013-06-27 - Chris Jean
	Fixed bug that prevented the importer from working with some exported files.
	Added a check to confirm that the import file exists before trying to import it.
	Fixed a bug that causes warnings when importing in WordPress 3.6 while running PHP 5.4+.
	
	Modified:
		lib/import-export/
		lib/layout-engine/
4.2.5 - 2013-06-28 - Packaging Bot
	Updated lib/classes to version 2.3.3
4.2.6 - 2013-06-28 - Chris Jean
	Fixed a bug with the new Signup Page View that prevented it from working properly when a static front page is set.
	
	Modified:
		lib/layout-engine/
4.2.7 - 2013-07-03 - Chris Jean
	Improved the import/export system to use three different data storage formats in order to avoid server-specific storage issues. The new system tries each format until it can successfully read in the data.
	Improved the system that loads default Layout and Views data to use the three format system. As with the import/export system enhancement, this is to avoid issues with servers that have issues reading in the data properly.
	Improved the description in the Custom Layout meta box in post type editors. It is now labeled Custom Builder Layout to clarify what the setting is for. It also has improved description that includes the actual post type name rather than just "post" or "page".
	Fixed documentation error in extensions/readme.txt.
	
	Modified:
		extensions/
		lib/import-export/
		lib/layout-engine/
4.2.8 - 2013-08-05 - Packaging Bot
	Updated lib/classes to version 2.3.4
4.2.9 - 2013-08-19 - Packaging Bot
	Updated lib/classes to version 2.3.5
5.0.0 - 2013-08-22 - Chris Jean
	Big new release.
	Integrated updates.
	Foundation for new Builder theme structure.
	Added a Setup page to My Theme > Settings under the Setup tab. This allows easy creation of a child theme for the active theme. It also allows for importing Layouts and Views that are supplied by the active theme.
	Theme activation now automatically forwards the user to the Setup page.
	Translations (the lang directory) should now be placed in a child theme's directory to prevent loss of translations when updating parent theme.
	Removed View link from Widget Content since they do not have public-facing content.
	
	Modified:
		Just about everything.
5.0.1 - 2013-08-22 - Packaging Bot
	Updated lib/builder-core to version 5.0.3
5.0.2 - 2013-08-23 - Chris Jean
	Fixed issue where sites running a non Builder-5.0-generated child theme does not cause Builder to run the functions-child.php file.
	
	Modified:
		functions.php
5.0.3 - 2013-09-04 - Packaging Bot
	Updated lib/builder-core to version 5.0.4
5.0.4 - 2013-09-17 - Chris Jean
	Added load_theme_textdomain() call to functions-child.php.
	Added "Text Domain" and "Domain Path" details to style.css.
	Readded the css/reset.css and css/structure.css files in order to better support backwards compatibility to older child themes.
	
	Added:
		css/
	Modified:
		functions-child.php
		style.css
5.0.5 - 2013-09-17 - Packaging Bot
	Updated lib/builder-core to version 5.0.5
5.0.6 - 2013-09-20 - Packaging Bot
	Updated lib/builder-core to version 5.0.6
5.0.7 - 2013-10-02 - Packaging Bot (lib/builder-core)
	Big rewrite to the updater in order to make the code more flexible. This improves compatibility with plugins that allow for remote updating of plugins and themes.
	The updater now supports providing changelog details for plugins and themes that have updates available. These details can be viewed by clicking the "View version **** details" link for the appropriate plugin or theme.
5.0.8 - 2013-10-04 - Packaging Bot (lib/builder-core)
	Enhancement: When releases with four version digits are released (such as 2.1.0.3), by default, the updater will not offer to update if just this last digit is updated. For instance, it will not automatically offer to update 2.1.0.1 to 2.1.0.3; rather, an automatic upgrade will become available when version 2.1.1 or greater is released. If you wish to force an update to these versions, you can add ithemes-updater-force-minor-update=1 to an admin page request (such as http://domain.com/wp-admin/index.php?ithemes-updater-force-minor-update=1) in order to force the updater make these releases available for an hour. If the update is not performed within the hour, the updater reverts back to default behavior.
	Bug Fix: Corrected source of the following error when updating: Download failed. SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
	Bug Fix: Corrected source of the following warning: Warning: require_once(/api.php) [function.require-once]: failed to open stream: No such file or directory
5.0.9 - 2013-10-07 - Packaging Bot (lib/builder-core)
	Bug Fix: Corrected another source of the following warning which occur immediate after updating the plugin or theme: Warning: require_once(/api.php) [function.require-once]: failed to open stream: No such file or directory
5.0.10 - 2013-10-28 - Packaging Bot (lib/builder-core)
	Enhancement: Added a "Quick Release Updates" setting to the bottom of the licensing page. Enabling this option allows the site to receive automatic update notices for product quick releases (releases that do not have automatic update support by default).
	Enhancement: Changed how the licensing page works on Multisite. Now it will appear at Settings > iThemes Licensing in the network admin Dashboard and at Settings > iThemes Licensing on sites when the current user is a network admin. This prevents exposing the licensing page to users that don't are not super users and thus should not be performing updates. As this update makes the functionality of the "Licensing Page Access" setting obsolete, the setting has been removed.
	Enhancement: Using the ithemes-updater-force-minor-update query string variable will now force a data flush, allowing any available quick release updates to appear instantly.
	Enhancement: Added "License" links to the Plugins and Themes pages for the Network Admin Dashboard of multisite installs.
5.0.11 - 2013-11-04 - Packaging Bot (lib/builder-core)
	Bug Fix: Corrected an issue that prevented Views from being loaded when using the Builder Setup page to load Layouts and Views from the theme.
	Bug Fix: For themes that do not use builder-responsive but do have builder-full-width-modules enabled, a minimum width is now applied to the Layout. This width matches the Layout width and prevents some styling issues on screens that are smaller than the Layout's width.
	Bug Fix: Fixed a warning that could occur when switching from a broken theme to a Builder theme.
	Bug Fix: Fixed a warning that could occur after using the Builder Setup page to load Layouts and Views from the theme.
5.0.12 - 2013-11-05 - Packaging Bot (lib/builder-core)
	Enhancement: Added the builder_get_responsive_stylesheet_files filter to allow for modifying the file names used to load responsive stylesheets, including removing them if desired. Example:
		function custom_filter_responsive_stylesheet_files( $files ) {
			// Just remove the style-mobile.css stylesheet.
			//unset( $files['style-mobile.css'] );
			
			// Remove all the responsive stylesheets.
			//$files = array();
			
			// Change style-mobile.css to mobile.css.
			//$files['mobile.css'] = $files['style-mobile.css'];
			//unset( $files['style-mobile.css'] );
			
			return $files;
		}
		add_filter( 'builder_get_responsive_stylesheet_files', 'custom_filter_responsive_stylesheet_files' );
5.0.13 - 2013-11-21 - Packaging Bot (lib/builder-core)
	Bug Fix: Fixed Extensions not being properly applied to specific category, tag, author, or custom post type Views.
5.0.14 - 2013-11-25 - Packaging Bot (lib/builder-core)
	Enhancement: Improved output of ITUtility::print_r() in WordPress 3.8.
	Enhancement: ITUtility::print_r() now indicates the number of array elements in collapsed arrays and identifies boolean values explicitly.
	Enhancement: Added the ability for ITForm::add_drop_down() to show divided lists.
	Bug Fix: Fixed depth cutoff of ITUtility::backtrace().
	Bug Fix: Fixed broken javascript in error message output. This bug prevented the error message from being collapsed by default, causing the screen to show the message at all times.
5.0.15 - 2013-11-25 - Packaging Bot (lib/builder-core)
	Enhancement: Improved editor styling when running WordPress 3.8.
	Bug Fix: An Extension applied via a specific View (such as a category-specific View) will now override an Extension applied by a generic View (such as a category View that applies to all categories).
	Bug Fix: Fixed how editing a specific View (such as a category-specific View) to a generic View (such as a category View that applies to all categories) would result in the original View remaining intact along with the new generic View.
	Bug Fix: Fixed bad label tags in the Image Module editor.
5.0.16 - 2013-12-02 - Packaging Bot (lib/builder-core)
	Enhancement: Added ITUtility::screen_icon() to allow for easily preparing code for the WordPress 3.8 release. It only runs the screen_icon() function when WordPress is older than 3.8, thus avoiding the deprecation notice.
	Bug Fix: Removed Javascript notices created by the tooltips.
	Bug Fix: Removed Javascript notices created by ITDialog thickboxes.
5.0.17 - 2013-12-13 - Packaging Bot (lib/builder-core)
	Enhancement: Recently updated plugins and themes no longer report that an update is available.
	Enhancement: Added alternate line styling to the listings on the licensing page.
	Enhancement: Products with iThemes in the name will now properly capitalize the name.
	Enhancement: The updater and licensing system now handle iThemes server outages without causing long page delays or by reporting confusing error messages.
5.0.18 - 2013-12-18 - Packaging Bot (lib/builder-core)
	Enhancement: Updated code to not call screen_icon(), which is deprecated in WordPress 3.8.
	Enhancement: Added the directory path of the active Extension to the render comments added when using ?builder_debug=1.
	Enhancement: Updated the Dashboard menu icon to match the new 3.8 flat icon design.
5.0.19 - 2013-12-18 - Packaging Bot (lib/builder-core)
	Bug Fix: Removed unneeded check on package-info.ithemes.com which was causing performance issues on some sites.
5.0.20 - 2013-12-19 - Packaging Bot (lib/builder-core)
	Bug Fix: Licensing will now be universal across all sites of a multisite network. This means that you will only need to license on one site to have the license apply across the entire network.
5.0.21 - 2014-01-23 - Packaging Bot (lib/builder-core)
	Bug Fix: Prior versions would fix non-https URL's for local content when the site was accessed via SSL so that the URL would become an https URL; however, it would not reverse the process and change https URL's to http when accessed without SSL. This caused problems on sites that use self-signed certificates and would sometimes have local content URL's that referred to the https location. This update makes the https URL's convert to http when the site is accessed via SSL.
5.0.22 - 2014-02-03 - Packaging Bot (lib/builder-core)
	Bug Fix: Licensing on SSL-enabled sites now works properly.
5.0.23 - 2014-02-11 - Packaging Bot (lib/builder-core)
	Add support for iThemes Security
5.0.24 - 2014-03-24 - Packaging Bot (lib/builder-core)
	Fixed issue with admin menu icons not loading on sites set to use SSL while accessed via a non-SSL URL.
5.0.25 - 2014-03-26 - Packaging Bot (lib/builder-core)
	Fixed issue with admin menu icons not functioning properly on sites that have an ABSPATH or WP_CONTENT_DIR of "/".
5.0.26 - 2014-07-28 - Packaging Bot (lib/builder-core)
	Fixed responsive video script error that prevented the script from working properly on some sites.
5.0.27 - 2014-09-11 - Packaging Bot (lib/builder-core)
	Add support for ContactBuddy
5.0.28 - 2014-10-22 - Packaging Bot (lib/builder-core)
	Bug Fix: Updated URL used to load the Start Here page.
5.0.29 - 2014-11-14 - Packaging Bot (lib/builder-core)
	Enhancement: Reduced caching to allow updates to appear more quickly.
	Enhancement: Authenticating users now uses the new authentication system.
5.0.30 - 2015-03-24 - Packaging Bot (lib/builder-core)
	WordPress Compatibility: Added compatibility for new split terms in WordPress 4.2.
	Bug Fix: The Navigation Module now properly sorts Navigation Type setting options.
5.0.31 - 2015-04-23 - Packaging Bot (lib/builder-core)
	Compatibility Fix: Updated plugin and theme update data format to match changes in WordPress 4.2.
5.0.32 - 2015-06-29 - Packaging Bot (lib/builder-core)
	Security Fix: Fixed a potential Remote Code Execution (RCE) security hole caused by unsanitized inputs for resizing certain kinds of images and generating zip files. Exploiting this flaw would require third-party code or a privileged WordPress user. Thanks to Ryan Satterfield (http://planetzuda.com) for helping to identify this issue.
	Bug Fix: Fixed index.php files being added to the root of zip files created with ITZip.
	Enhancement: Improved the form-handling API to handle complex forms with nested groups.
	Enhancement: Better handling of non-ASCII, non-UTF8 characters in debug output.
5.0.33 - 2015-07-07 - Packaging Bot (lib/builder-core)
	WordPress Compatibility: Updated widgets to no longer use PHP4-style constructors in order to be compatible with their deprecation in WordPress 4.3.
5.0.34 - 2015-07-14 - Packaging Bot (lib/builder-core)
	Bug Fix: Dropdowns with multiple levels of options now default to the current value as expected.
	Enhancement: Updated link to iThemes support.
5.1.0 - 2015-08-05 - Chris Jean
	Enhancement: Updated comments.php to use the comment_form() function from
		WordPress to render the comment form. This fixes compatibility issues
		between Builder and certain plugins that make use of filters and
		actions used in the comment_form() function.
5.1.1 - 2015-08-27 - Chris Jean
	Updated links in footer.php to use rel="nofollow".
5.1.2 - 2015-10-26 - Packaging Bot (lib/builder-core)
	Compatibility Fix: Updated constructors to prevent warnings in PHP 7 while maintaining backwards compatibility.
5.1.3 - 2015-10-27 - Packaging Bot (lib/builder-core)
	Compatibility Fix: Additional changes to ensure PHP 7 compatibility.
	Compatibility Fix: Added backwards-compatible code to fix compatibility with Pods/Builder integration.
5.1.4 - 2015-11-16 - Packaging Bot (lib/builder-core)
	Bug Fix: Fixed URL to file path and file path to URL conversions on multisite installations where the site's absolute path may vary.
	Enhancement: Added responsive support for WordPress 4.4's embedded content feature.
5.1.5 - 2016-07-14 - Packaging Bot (lib/builder-core)
	Compatibility Fix: Removed call to PHP function split() as it is removed in PHP 7.
	Compatibility Fix: Updated sidebar width calculations to be PHP 7.1 compatible.
	Compatibility Fix: Updated builder_set_minimum_memory_limit() to be PHP 7.1 compatible.
	Bug Fix: Fixed padding around dialog pop-up overlays.
5.1.6 - 2016-10-24 - Packaging Bot (lib/builder-core)
	Bug Fix: Fixed a typo in error message output when certain required files cannot be found.
	Enhancement: Removed pass-by-reference function argument on associative array check as it is no longer required. This can reduce memory usage on some servers.
5.1.7 - 2018-05-03 - Packaging Bot (lib/builder-core)
	Bug Fix: Licensing System: Fixed the "View details" link failing to work properly after updating.
	Bug Fix: Licensing System: Fixed an issue that could cause data changes to not save properly on specific background page requests.
	Bug Fix: Licensing System: Added a compatibility fix to avoid conflicts with plugins that change the plugin_action_links filter value from an array to a string.
	Compatibility Fix: Licensing System: Updated handing of wp_remote_get() response due to changes documented in https://core.trac.wordpress.org/ticket/33055.
	Enhancement: Licensing System: Added ability to manage licensing from WP-CLI.
5.1.8 - 2018-05-03 - Packaging Bot (lib/builder-core)
	Bug Fix: Licensing System: Fixed fatal error that could occur when clicking the "View details" link for an available plugin update.
5.1.9 - 2019-10-22 - Packaging Bot (lib/builder-core)
	Enhancement: Updated the Layout Engine to ignore render requests for embedded content.
	Bug Fix: Fixed issue that could cause matching IDs for different modules.
5.1.10 - 2020-08-11 - Packaging Bot (lib/builder-core)
	Enhancement: Added support for the auto-update feature introduced in WordPress 5.5.
5.1.11 - 2020-08-20 - Packaging Bot (lib/builder-core)
	Compatibility Fix: Updated Javascript to fix compatibility issues with WordPress 5.5.